package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC主机以太网适配器物理端口
 * 
 * @author ShaolongTan
 *
 */
@Deprecated
@Table("hmc_hea_physical_port")
public class HmcHeaPhysicalPort {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("hea_id")
    private Long heaId;
    @Column("port_location")
    private String portLocation;
    @Column("port_id")
    private Integer portId;
    @Column("port_type")
    private String portType;
    @Column("connection_speed")
    private String connectionSpeed;
    @Column("link_up")
    private Boolean linkUp;
    @Column("duplex_mode")
    private String duplexMode;
    @Column("flow_control")
    private Boolean flowControl;
    @Column("transmit_flow_control")
    private Boolean transmitFlowControl;
    @Column("receive_flow_control")
    private Boolean receiveFlowControl;
    @Column("max_receive_packet")
    private String maxReceivePacket;
    @Column("port_group_id")
    private Integer portGroupId;
    @Column("multi_core_scaling")
    private Integer multiCoreScaling;
    @Column("supported_multi_core_scaling")
    private String supportedMultiCoreScaling;
    @Column("owner")
    private String owner;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHeaId() {
        return heaId;
    }

    public void setHeaId(Long heaId) {
        this.heaId = heaId;
    }

    public String getPortLocation() {
        return portLocation;
    }

    public void setPortLocation(String portLocation) {
        this.portLocation = portLocation;
    }

    public Integer getPortId() {
        return portId;
    }

    public void setPortId(Integer portId) {
        this.portId = portId;
    }

    public String getPortType() {
        return portType;
    }

    public void setPortType(String portType) {
        this.portType = portType;
    }

    public String getConnectionSpeed() {
        return connectionSpeed;
    }

    public void setConnectionSpeed(String connectionSpeed) {
        this.connectionSpeed = connectionSpeed;
    }

    public Boolean getLinkUp() {
        return linkUp;
    }

    public void setLinkUp(Boolean linkUp) {
        this.linkUp = linkUp;
    }

    public String getDuplexMode() {
        return duplexMode;
    }

    public void setDuplexMode(String duplexMode) {
        this.duplexMode = duplexMode;
    }

    public Boolean getFlowControl() {
        return flowControl;
    }

    public void setFlowControl(Boolean flowControl) {
        this.flowControl = flowControl;
    }

    public Boolean getTransmitFlowControl() {
        return transmitFlowControl;
    }

    public void setTransmitFlowControl(Boolean transmitFlowControl) {
        this.transmitFlowControl = transmitFlowControl;
    }

    public Boolean getReceiveFlowControl() {
        return receiveFlowControl;
    }

    public void setReceiveFlowControl(Boolean receiveFlowControl) {
        this.receiveFlowControl = receiveFlowControl;
    }

    public String getMaxReceivePacket() {
        return maxReceivePacket;
    }

    public void setMaxReceivePacket(String maxReceivePacket) {
        this.maxReceivePacket = maxReceivePacket;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public Integer getMultiCoreScaling() {
        return multiCoreScaling;
    }

    public void setMultiCoreScaling(Integer multiCoreScaling) {
        this.multiCoreScaling = multiCoreScaling;
    }

    public String getSupportedMultiCoreScaling() {
        return supportedMultiCoreScaling;
    }

    public void setSupportedMultiCoreScaling(String supportedMultiCoreScaling) {
        this.supportedMultiCoreScaling = supportedMultiCoreScaling;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }
}
